﻿using UnityEngine;
using System.Collections;

//Juri Kiin

public class CameraMove : MonoBehaviour {

	public float moveSpeed;
	public float rotateSpeed;
	Rigidbody rb;

	// Update is called once per frame
	void Update () {

		rb = this.GetComponent<Rigidbody> ();

	
		if (Input.GetKey (KeyCode.A))
			transform.Translate (Vector3.left * Time.deltaTime * moveSpeed);	//Move left	(A)
		if (Input.GetKey (KeyCode.D))
			transform.Translate (Vector3.right * Time.deltaTime * moveSpeed);	//Move right (D)
		if (Input.GetKey (KeyCode.W))
			transform.Translate (Vector3.forward * Time.deltaTime * moveSpeed);	//Move forward (W)
		if (Input.GetKey (KeyCode.S))
			transform.Translate (Vector3.back * Time.deltaTime * moveSpeed);	//Move back (S)
		if (Input.GetKey (KeyCode.Space))
			rb.AddForce (Vector3.up * 1,ForceMode.Impulse);	//Jump up (Space)
		if (Input.GetKey (KeyCode.LeftShift))
			transform.Translate (Vector3.down * Time.deltaTime * moveSpeed);	//Move down	(Left Shift)

		if (Input.GetKey (KeyCode.Return))	//Turn off gravity and stop the camera.	(Enter/Return)
		{
			rb.useGravity = !rb.useGravity;
			rb.velocity = new Vector3(0,0,0);
		}

		if (Input.GetKey (KeyCode.LeftArrow))	//Rotate the camera left	(Left arrow)
			transform.eulerAngles += new Vector3(0,-rotateSpeed,0);
		if (Input.GetKey (KeyCode.RightArrow))
			transform.eulerAngles += new Vector3 (0,rotateSpeed,0);	//Rotate camera right (Right arrow)
		if (Input.GetKey (KeyCode.UpArrow))
			transform.eulerAngles += new Vector3(-rotateSpeed,0,0);	//Rotate camera up	(Up Arrow)
		if (Input.GetKey (KeyCode.DownArrow))
			transform.eulerAngles += new Vector3 (rotateSpeed,0,0);	//Rotate camera down (Down arrow)


			
	}
}
