﻿using UnityEngine;
using System.Collections;


//Juri Kiin


public class GenerateTerrain : MonoBehaviour {



	//Put this on a mesh and it will generate random smooth heighs on each of the verticies. If another mesh is place
	//next to it, the meshes will connect seamlessly.

	public int heightScale = 5;	//How high the terrain will be
	public float detailScale = 5.0f;	//How stretched out the terrain will be (higher the smoother)
	public float randomFactor = 1.0f;	//Changes the terrain based on world position. This tricks the computer to thinking the plane is somewhere else.

	// Use this for initialization
	void Start () {
		
		Mesh mesh = this.GetComponent<MeshFilter>().mesh;	//Gets the mesh of this object (plane)
		Vector3[] vert = mesh.vertices;	//Adds all vertices into an array.

		//Loop through verticies and change them based on Perlin Noise.
		for (int i=0; i<vert.Length; i++) {

			//This generates the random smooth values. 
			vert[i].y = Mathf.PerlinNoise(((vert[i].x + this.transform.position.x)/detailScale)*randomFactor,
			                              (vert[i].z + this.transform.position.z)/detailScale)*randomFactor * heightScale;



		}

		mesh.vertices = vert;	//Reset the meshes verticies with the updated height.
		mesh.RecalculateBounds ();
		mesh.RecalculateNormals ();
		this.gameObject.AddComponent<MeshCollider> ();
	}

}
